package fr.username404.snowygui.mixins;

import fr.username404.snowygui.fabric.OkZoomerCompatKt;
import fr.username404.snowygui.gui.feature.Zoom;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(Zoom.class)
abstract class OkZoomerAlternativeMixin {
	/**
	 * @author Username404
	 * @reason Needed to use the Ok Zoomer mod when it is present
	 */
	@Inject(remap = false, at = @At("HEAD"), method = "execAction", cancellable = true)
	public void execAction(CallbackInfo ci) {
		if (OkZoomerCompatKt.isOkZoomerPresent) {
			OkZoomerCompatKt.fabricZoom();
		}
	}
}
